# Interface methods for submodule: ImageFileReader
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSourceProxy as _ImageSourceProxy


# Interface methods for class: ImageFileReader
class ImageFileReaderProxy(_ImageSourceProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFileNameInput(self, _arg) -> None:
		""""""
		...

	@overload
	def SetFileName(self, _arg) -> None:
		""""""
		...

	@overload
	def SetFileName(self, _arg: str) -> None:
		""""""
		...

	def GetFileNameInput(self):
		""""""
		...

	def GetFileName(self) -> str:
		""""""
		...

	def SetImageIO(self, imageIO) -> None:
		""""""
		...

	def GetModifiableImageIO(self):
		""""""
		...

	def GetImageIO(self):
		""""""
		...

	def SetUseStreaming(self, _arg: bool) -> None:
		""""""
		...

	def GetUseStreaming(self) -> bool:
		""""""
		...

	def UseStreamingOn(self) -> None:
		""""""
		...

	def UseStreamingOff(self) -> None:
		""""""
		...

